"use strict";
exports.__esModule = true;
var react_1 = require("react");
require("./index.scss");
var PopoverContent_1 = require("./PopoverContent");
var Popover = function (props) {
    var _a = react_1.useState(false), isVisible = _a[0], setVisible = _a[1];
    var _b = react_1.useState({ top: 0, left: 0 }), position = _b[0], setPosition = _b[1];
    var triggerRef = react_1.useRef(null);
    function open() {
        if (triggerRef) {
            var trigger = triggerRef.current;
            var _a = trigger.getBoundingClientRect(), left = _a.left, top_1 = _a.top;
            setPosition({ top: top_1, left: left });
            setVisible(true);
        }
    }
    function close() {
        setVisible(false);
    }
    return (<div className="w-popover">
     <PopoverContent_1 top={position.top} left={position.left} width={props.width} isVisible={isVisible} content={props.content}/>
     <div className="w-trigger" onMouseEnter={open} ref={triggerRef} onMouseLeave={close}>
       <div className="text-ellipsis" style={{ width: props.width + "px" }}>
         {props.children}
       </div>
     </div>
   </div>);
};
exports["default"] = Popover;
