"use strict";
exports.__esModule = true;
var react_1 = require("react");
var Popover_1 = require("./Popover");
var TextWrapper = function (props) {
    var width = props.width, content = props.content;
    var textRef = react_1.useRef(null);
    var _a = react_1.useState(false), isEllipsis = _a[0], setEllipsis = _a[1];
    react_1.useEffect(function () {
        function updateTextState() {
            if (width < computeEleWidth()) {
                setEllipsis(true);
            }
            else {
                setEllipsis(false);
            }
        }
        updateTextState();
    }, [content, width]);
    function computeEleWidth() {
        if (textRef && textRef.current) {
            var ele = textRef.current;
            return ele.getBoundingClientRect().width;
        }
        else {
            return 0;
        }
    }
    return (<react_1["default"].Fragment>
      <span ref={textRef} style={{ marginTop: '100px' }}>
        {isEllipsis ?
        <Popover_1["default"] content={content} width={width}>{content}</Popover_1["default"]> :
        <span>{content}</span>}
      </span>
    </react_1["default"].Fragment>);
};
TextWrapper.defaultProps = {
    width: 100
};
exports["default"] = TextWrapper;
